Get flag data for a specified entity
Use this endpoint to retrieve the current flag state for an entity. Returns 204 No Content if the entity has no flag.
Currently only “Bill” is supported as an entity type.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| entityType | The type of entity the flag is being requested for. Supported values are: “Bill” | string | Required |
| entityId | The unique numeric identifier of the entity (e.g., the bill ID) | integer (int32) | Required |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
FlagResponse
| Property | Description | Type | ||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| assignees | All users currently assigned to this flag | UserChild[] | ||||||||||||||||||||||||||||||||||||||||||||||||
|
UserChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||
| costRecovery | Cost recovery associated with the issue this flag represents | number (double) | ||||||||||||||||||||||||||||||||||||||||||||||||
| createdBy | UserChild | |||||||||||||||||||||||||||||||||||||||||||||||||
|
UserChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||
| createdDate | Date the flag was created | string (date-time) | ||||||||||||||||||||||||||||||||||||||||||||||||
| flagEvents | All events and actions that have occurred with this flag | FlagEventChild[] | ||||||||||||||||||||||||||||||||||||||||||||||||
|
FlagEventChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||
| flagId | The flag identifier | integer (int32) | ||||||||||||||||||||||||||||||||||||||||||||||||
| flagIssues | All issues associated with the flag Even if the flag is marked as resolved, the list of issues that were on the flag at that time will remain. This keeps a historic record and allows for filtering. | FlagIssueTypeChild[] | ||||||||||||||||||||||||||||||||||||||||||||||||
|
FlagIssueTypeChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||
| flagStatus | FlagStatusChild | |||||||||||||||||||||||||||||||||||||||||||||||||
|
FlagStatusChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||
| flagType | FlagTypeChild | |||||||||||||||||||||||||||||||||||||||||||||||||
|
FlagTypeChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||
| modifiedBy | UserChild | |||||||||||||||||||||||||||||||||||||||||||||||||
|
UserChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||
| modifiedDate | Latest date the flag was modified | string (date-time) | ||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "assignees": [
{ "fullName": "string", "userCode": "string", "userId": 1
}
], "costRecovery": 1.0, "createdBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "createdDate": "2026-06-29", "flagEvents": [
{ "comment": "string", "createdBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "createdDate": "2026-06-29", "description": "string", "flagAction": { "flagActionId": 1, "flagActionInfo": "string"
}, "flagEventId": 1
}
], "flagId": 1, "flagIssues": [
{ "flagIssueCategory": "string", "flagIssueTypeDescription": "string", "flagIssueTypeId": 1, "flagIssueTypeInfo": "string"
}
], "flagStatus": { "flagStatusId": 1, "flagStatusInfo": "string"
}, "flagType": { "flagTypeId": 1, "flagTypeInfo": "string"
}, "modifiedBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "modifiedDate": "2026-06-29"
}
204
No Content
The request succeeded. No content is returned in the response body.